/**
 * A task to print a count-down.
 * 
 * @author Stephen Bloch
 * @version 12 April 2005, version 1
 */
public class PrintingThread extends Thread
{
    private String label;
    private int steps;
    /**
     * Constructor for objects of class DuelingPrints
     * @param label to identify this thread
     * @param steps how many steps this thread will take
     */
    public PrintingThread(String label, int steps)
    {
        super (label);
        this.label = label;
        this.steps = steps;
    }

    public void run () {
        while (steps > 0) {
            System.out.println (this.label + ": " + this.steps);
            --steps;
            try {
                Thread.sleep ((long)(Math.random() * 1000));
            }
            catch (InterruptedException e) {}
        }
    }
}
